For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
SupportContact salesStart free trial
  • Getting started
    • Overview
    • Authentication
    • Querying tutorial
    • OData Integrations
    • Work Breakdown Structure
    • Software Development Kits
    • API Patch Notes
    • FAQ
    • Terms of use
  • API Reference
      • GETRetrieve Task Fields
      • POSTCreate Task Field
      • GETQuery Task Fields
      • DELDelete Task Field
      • GETRetrieve All TaskField Values
      • GETQuery Task Field Values
      • GETRetrieve Task Field Value
      • PUTUpdate Task Field Value
LogoLogo
SupportContact salesStart free trial
API ReferenceTask Field

Delete Task Field

DELETE
https://api.projectmanager.com/api/data/projects/:projectId/tasks/fields/:fieldId
DELETE
/api/data/projects/:projectId/tasks/fields/:fieldId
$curl -X DELETE https://api.projectmanager.com/api/data/projects/projectId/tasks/fields/fieldId \
> -H "Authorization: Bearer <token>"
200Deleted
1{
2 "error": {
3 "technicalError": "string",
4 "additionalErrors": [
5 "string"
6 ],
7 "validationErrors": {},
8 "message": "string"
9 },
10 "success": true,
11 "hasError": true,
12 "statusCode": "Continue"
13}
Deletes a TaskField for a specific Project within your Workspace. A TaskField is a custom field defined within your Workspace for a specific Project. You can define TaskFields for any integration purpose that is important to your business. Each TaskField has a data type as well as options in how it is handled. TaskFields can be edited for each Task inside this Project.
Was this page helpful?
Previous

Retrieve All TaskField Values

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

projectIdstringRequiredformat: "uuid"
The unique identifier of the Project that contains this TaskField
fieldIdstringRequiredformat: "uuid"
The unique identifier of the TaskField to delete

Headers

x-integration-namestringOptional
The name of the calling system passed along as a header parameter

Response

Success
errorobject or null
If the API call failed, this will contain information about the error that occurred.
successbooleanRead-only

True if the API call succeeded; false otherwise.

hasErrorbooleanRead-only
True if the API call failed.
statusCodeenum
The HTTP code of the response.